HomePhabricator

use backwards-compatible yaml api

Authored by prha on Mar 20 2020, 8:54 PM.

Description

use backwards-compatible yaml api

Summary: We added a dependency on yaml.FullLoader in D2287, which was only introduced in pyyaml 5.1 (see https://pyyaml.org/wiki/PyYAML#history)

Test Plan: Ran make dev_install, saw tests pass

Reviewers: max, catherinewu, alangenfeld, schrockn

Reviewed By: max, alangenfeld, schrockn

Subscribers: schrockn

Differential Revision: https://dagster.phacility.com/D2299

Details

Committed
prhaMar 20 2020, 8:59 PM
Reviewer
max
Differential Revision
D2299: use backwards-compatible yaml api
Parents
R1:4cb3c7bba5c8: add test cases for Noneable(Permissive())
Branches
Unknown
Tags
Unknown